Rygel.DescriptionFile – librygel-core Reference Manual

# DescriptionFile

## Object Hierarchy:

## Description:

public class DescriptionFile : Object

Represents a device description document and offers methods for easy manipulation of those.

Namespace: Rygel
Package: librygel-core

## Content:

### Creation methods:

- public DescriptionFile (string template_file) throws Error
  Constructor to load a description file from disk
- public DescriptionFile.from_xml_document (XMLDoc doc)
  Constructor which wraps an existing GUPnP.XMLDoc as a description file.

### Methods:

- public void set_device_type (string device_type)
  Change the type of a service.
- public void set_model_description (string model_description)
  Modify the model description.
- public void set_model_name (string model_name)
  Modify the model name.
- public void set_model_number (string model_number)
  Modify the model number.
- public void set_friendly_name (string friendly_name)
  Set the friendly name of the device.
- public string get_friendly_name ()
  Get the current friendly name of the device.
- public void set_udn (string udn)
  Set the Unique Device Name of the device.
- public string? get_udn ()
  Get the current UDN of the device.
- public void set_serial_number (string serial)
  Set the Serial number of the device.
- public void set_dlna_caps (PluginCapabilities capabilities)
  Set the DLNA caps of this root device and while taking the capabilities of the plugin into account.
- public void clear_service_list ()
- public void add_dlna_doc_element (string dlnadoc_xpath, string dlnadoc_non_xpath, string dev_cap)
- public void remove_dlna_doc_element (string dlnadoc_xpath)
- public void add_service (string device_name, ResourceInfo resource_info)
- public void clear_icon_list ()
- public void add_icon (string device_name, IconInfo icon_info, string url)
- public void modify_service_type (string old_type, string new_type)
  Change the type of a service.
- public void save (string path) throws Error
  Writes the current document to a file.

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count